Autocomplete search by identifier
curl --request GET \
--url https://{defaultHost}/v1/verify/{app_id}/autocomplete \
--header 'Authorization: Bearer <token>' \
--header 'X-Authorization: <api-key>'import requests
url = "https://{defaultHost}/v1/verify/{app_id}/autocomplete"
headers = {
"Authorization": "Bearer <token>",
"X-Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Authorization': '<api-key>'}
};
fetch('https://{defaultHost}/v1/verify/{app_id}/autocomplete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"value": "<string>",
"verified": true,
"last_verified_at": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}
],
"query": "<string>",
"count": 123
}{
"error": "<string>",
"error_code": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"error_code": "<string>"
}Verification
Autocomplete search by identifier
Search for users by identifier (email or phone) within the current app
GET
/
v1
/
verify
/
{app_id}
/
autocomplete
Autocomplete search by identifier
Authorizations
API Secret token
User Access token
Path Parameters
Application ID
Query Parameters
Search query (partial email or phone, minimum 2 characters)
Maximum number of results (default: 10, max: 50)
Was this page helpful?
⌘I